# Stats

### Purpose

The Stats component is used to display basic stats related to the search such as total results.

### Usage

{% tabs %}
{% tab title="Basic" %}

```tsx
import React from "react";
import { Stats } from "@usereactify/search";

import { ExampleStats } from "./ExampleStats";

export const Component: React.FC = () => {
  return (
    <Stats
      render={ExampleStats}
    />
  );
};
```

{% endtab %}

{% tab title="ExampleStats" %}

```tsx
import React from "react";
import { StatsProps } from "@usereactify/search";

export type ExampleStatsProps = React.ComponentProps<
  NonNullable<StatsProps["render"]>
>;

export const ExampleStats: React.FC<ExampleStatsProps> = (props) => {
  return (
    <div>
      {"Found "}
      {props.resultStats.numberOfResults}
      {" products"}
    </div>
  );
};

```

{% endtab %}
{% endtabs %}

### Props

```typescript
type StatsProps = {
  /** Render method */
  render?: React.FC<{
    isLoading: boolean;
    hits: {
      hidden: number;
      time: number;
      total: number;
      hits: Array<ElasticHit>;
    };
    resultStats: {
      hidden: number;
      numberOfResults?: number;
      promoted: number;
      time: number;
    };
    error?: ReactivesearchError;
  }>;
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://search.docs.reactify.com.au/components/stats.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
